Bug 1025386 - Subscription Manager Firstboot Does Not Detect Lack of Network Connectivity
Subscription Manager Firstboot Does Not Detect Lack of Network Connectivity
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: John Sefler
John Sefler
:
Depends On: 1033696
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-10-31 11:08 EDT by Devan Goodwin
Modified: 2014-06-17 20:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:40:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unable to reach the server... from firstboot with networking disabled (112.53 KB, image/png)
2014-03-06 14:23 EST, John Sefler
no flags Details

  None (edit)
Description Devan Goodwin 2013-10-31 11:08:50 EDT
Description of problem:

With a disabled network card, subscription-manager still prompts to register and reports that it cannot reach the server.

Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1. Have network card disabled. In my cat /etc/sysconfig/network-scripts/ifcgf-eth0 had ONBOOT turned off.
2. Boot up into firstboot.

Actual results:

Prompted to register, told the server is not correctly set if I try.

Expected results:

Skip registration as old firstboot did.

Additional info:
Comment 2 Adrian Likins 2014-02-19 11:24:43 EST
https://bugzilla.redhat.com/show_bug.cgi?id=1033696 is VERIFIED.

Moving to modified.
Comment 5 John Sefler 2014-03-06 14:23:23 EST
Created attachment 871602 [details]
Unable to reach the server...  from firstboot with networking disabled

Verifying Version...
[root@jsefler-7 ~]# rpm -q subscription-manager-firstboot firstboot
subscription-manager-firstboot-1.10.14-4.el7.x86_64
firstboot-19.9-1.el7.noarch
[root@jsefler-7 ~]# uname -a
Linux jsefler-7.usersys.redhat.com 3.10.0-105.el7.x86_64 #1 SMP Wed Mar 5 11:48:56 EST 2014 x86_64 x86_64 x86_64 GNU/Linux


[root@jsefler-7 ~]# cat /etc/sysconfig/network-scripts/ifcfg-ens3 
# Generated by dracut initrd
DEVICE="ens3"
#ONBOOT=yes    testing bug 1025386 with ONBOOT off
ONBOOT=no
NETBOOT=yes
UUID="26a4a4bf-abf7-4dae-a670-a9ae4958dc34"
BOOTPROTO=dhcp
HWADDR="52:54:00:71:1c:1e"
TYPE=Ethernet
NAME="ens3"
[root@jsefler-7 ~]# 
[root@jsefler-7 ~]# rm /etc/sysconfig/firstboot 
rm: remove regular file ‘/etc/sysconfig/firstboot’? y
[root@jsefler-7 ~]# 
[root@jsefler-7 ~]# systemctl enable firstboot-graphical.service
ln -s '/usr/lib/systemd/system/firstboot-graphical.service' '/etc/systemd/system/graphical.target.wants/firstboot-graphical.service'
[root@jsefler-7 ~]# reboot

VERIFIED: See screenshot showing "Unable to reach the server"
          Once networking was started, we could successfully proceed,
Comment 6 Ludek Smid 2014-06-13 07:40:52 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.